<?php

/**
 * @file
 * Color module integration.
 */


$info = array(
  // Available colours and colour labels used in theme.
  'fields' => array(
    'main' => t('Main colour'),
    'text' => t('Text colour'),
    'link' => t('Link colour'),
  ),
  // Pre-defined color schemes.
  'schemes' => array(
    'default' => array(
      'title' => t('Regal red (default)'),
      'colors' => array(
        'main' => '#8b0d0d',
        'text' => '#151515',
        'link' => '#8b0d0e',
      ),
    ),
    'blue' => array(
      'title' => t('Ocean blue'),
      'colors' => array(
        'main' => '#154780',
        'text' => '#151515',
        'link' => '#154780',
      ),
    ),
    'green' => array(
      'title' => t('Battlefield green'),
      'colors' => array(
        'main' => '#37531f',
        'text' => '#151515',
        'link' => '#37531f',
      ),
    ),
    'purple' => array(
      'title' => t('Royal purple'),
      'colors' => array(
        'main' => '#462963',
        'text' => '#151515',
        'link' => '#462963',
      ),
    ),
  ),

  // CSS files (excluding @import) to rewrite with new colour scheme.
  'css' => array(
    'css/colours.css',
  ),

  // Files to copy.
  'copy' => array(
    'logo.svg',
  ),

 // Gradient definitions.
  'gradients' => array(),

  // Preview files.
  'preview_library' => 'waterloo/color-preview',
  'preview_html' => 'color/preview.html',

  // Attachments.
  '#attached' => [
    'drupalSettings' => [
      'color' => [
        // Put the logo path into JavaScript for the live preview.
        'logo' => theme_get_setting('logo.url', 'waterloo'),
      ],
    ],
  ],


);
