/**
 * @file
 * Preview for the Waterloo theme.
 */
(function ($, Drupal, drupalSettings) {

  "use strict";

  Drupal.color = {
    logoChanged: false,
    callback: function (context, settings, form, farb, height, width) {
      // Change the logo to be the real one.
      if (!this.logoChanged) {
        $('.color-preview .color-preview-logo img').attr('src', drupalSettings.color.logo);
        this.logoChanged = true;
      }
      // Remove the logo if the setting is toggled off.
      if (drupalSettings.color.logo === null) {
        $('div').remove('.color-preview-logo');
      }

      // Solid background.
      form.find('.color-preview').css('backgroundColor', $('.js-color-palette input[name="palette[bg]"]').val());


      // Main colour as foreground
      form.find('h1#preview-site-name, #preview-content h2').css('color', $('.js-color-palette input[name="palette[main]"]').val());

      // Main colour as background
      form.find('#preview-main-menu, #preview-content ul.links, #preview-sidebar-first input#edit-submit').css('background-color', $('.js-color-palette input[name="palette[main]"]').val());

      // Body Text
      form.find('#preview-content p, #preview-sidebar-first label').css('color', $('.js-color-palette input[name="palette[text]"]').val());

      // Links
      $('', form).css('color', $('#palette input[name="palette[link]"]', form).val());
      form.find('#preview-content p a, #preview-sidebar-first a, #preview-lower-footer a').css('color', $('.js-color-palette input[name="palette[link]"]').val());


    }
  };
})(jQuery, Drupal, drupalSettings);


